package com.zj365.mime.act

import android.view.View
import com.alibaba.android.arouter.facade.annotation.Route
import com.xty.base.act.BaseVmAct
import com.xty.common.arouter.ARouterUrl
import com.xty.common.setImage
import com.zj365.mime.R
import com.zj365.mime.databinding.ActScoreDetailBinding
import com.zj365.mime.vm.ScoreRuleVm

@Route(path = ARouterUrl.SCORE_RULE)
class ScoreRuleAct:BaseVmAct<ScoreRuleVm>(){

    val binding by lazy { ActScoreDetailBinding.inflate(layoutInflater) }

    override fun liveObserver() {

    }

    override fun setLayout(): View = binding.root

    override fun initView() {
        super.initView()
        statusBar(binding.title.mView)
        binding.title.mTvTitle.text=getString(R.string.score_rule)
        binding.title.mIvBack.setOnClickListener { finish() }

        binding.ivIntegralRule.setImage(this, "https://minioapi.auprty.com/anyu/app/jfgz.jpg")
    }
}